compatibilité base de données 3.1 et 2.7.0 PL1

Forum concernant les demandes de support pour tout problème d'installation d'un forum phpBB 3.1.x uniquement

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.
Partager sur FacebookPartager sur TwitterPartager sur Google+

compatibilité base de données 3.1 et 2.7.0 PL1

Messagepar roger83 » 23 Avr 2015 à 09:49

bonjour à tous,

j'ai un ancien forum que je n'ai jamais mis à jour (version 2.7.0 PL1). j'ai sauvegardé la base de donnée de ce vieux forum car elle contient pas mal de messages intéressant, et pas mal de membres qui aimeraient ne pas avoir à recréer un compte sur le nouveau forum. je viens d'installer sur un nouveau nom de domaine le nouveau forum (version 3.1) avec une base de données vide. je voulais savoir si il était possible d'importer l'ancienne base de donnée dans la nouvelle ? y-a-t-il un problème de compatibilité, car quand j'essaye, j'ai des messages d'erreur?

merci d'avance pour vos réponses.
roger83
Posteur néophyte
Posteur néophyte
 
Messages: 2
Enregistré le: 23 Avr 2015 à 08:18

Re: compatibilité base de données 3.1 et 2.7.0 PL1

Messagepar cocooncrash » 23 Avr 2015 à 09:58

Bonjour,
de mémoire, phpbb 2.7.0 n'a jamais existé!
néammoins, pour la convertion, il faut mettre votre ancien forum a jour, en version 3.0.X, puis le convertir en 3.1.X.
decouvrez l'aide complete : ICI
découvrez les règles : La_bas

Pensez a ajouter le tag [réglé] en modifiant votre premier message s'il est résolu. Merci :wink:
Avatar de l’utilisateur
cocooncrash
Resp. des modérateurs
Resp. des modérateurs
 
Messages: 7543
Enregistré le: 07 Jan 2008 à 08:29
Localisation: dans un bocal en compagnie de nemo!!

Re: compatibilité base de données 3.1 et 2.7.0 PL1

Messagepar Skouat » 23 Avr 2015 à 23:05

Bonjour,

Sauf erreur de ma part, il est possible de convertir un forum phpBB2 directement en phpBB 3.1
Mes MODS

Ultima-World Hébergé par phpBB-Services
Code parrainage : 1241646554
Skouat
Traducteur
Traducteur
 
Messages: 13493
Enregistré le: 02 Avr 2008 à 19:47

Re: compatibilité base de données 3.1 et 2.7.0 PL1

Messagepar roger83 » 01 Mai 2015 à 08:37

bonjour, et tout d'abord merci pour vos réponses. alors en fait je me suis mélangé les pinceaux, la version de mon ancien forum c'est 3.0.7 PL1
mon soucis c'est que je vois que par rapport à la version la plus récente (3.1) certaines tables de la base de données sont différentes. quelle serait la procédure à suivre pour pouvoir conserver le contenu de la base de donnée de l'ancien forum ?
roger83
Posteur néophyte
Posteur néophyte
 
Messages: 2
Enregistré le: 23 Avr 2015 à 08:18

Re: compatibilité base de données 3.1 et 2.7.0 PL1

Messagepar sub60 » 01 Mai 2015 à 08:41

Hello,

Pour passer de 3.0.x a 3.1.x suivre cette Doc, documentation/mise-a-jour/31x-mise-a-niveau-de-phpbb-30x-vers-31x-a209-view.html

Cordialement
<< Comment poster au bon endroit sur phpbb-fr >>
Attention..!! les styles pour phpBB 3.0, ne sont pas compatible avec phpBB 3.1
Sur phpBB 3.1, pour rafraîchir le style il suffit de vider le cache du forum.
Si vous considérez votre requête comme résolue, merci d'ajouter l'attribut de sujet [Réglé]
Avatar de l’utilisateur
sub60
Floodeur universel
Floodeur universel
 
Messages: 9518
Enregistré le: 19 Juin 2006 à 14:14
Localisation: oise


Retourner vers Installation

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité